include file.e
include graphics.e  --for cursor()

--THIS IS A SIMPLE DEMO OF HOW TO USE ECSTACY IN YOUR PROGRAMS

--Include the Ecstacy Sound System
include Ecstacy.e


--Sound card takes a few seconds to setup, so put a message on screen.
clear_screen()
puts(1,"Setting Up Sound Card. Please Wait A Few Seconds...\n\n")

--Setup Sound at 44100Hz, 4 Sound Channels, Auto-Detect sound card.
init_sound(44100, 4, auto_detect())

--Check if sound is setup.
if SOUND_INIT = 0 then
    puts(1,"Could Not Setup Sound Card!\nAborting Program.\n\n")
    abort(1)
end if

--Set the volume level incase it's too loud.
set_global_volume(150)

--Load a Sound.
sequence wave
wave = load_wave("sound8.wav",0)


--Play the wave
play_sound(wave,{255,0,0})

while still_playing(0) do --Wait for wave to stop.
end while

--Play the wave again at a higher replay rate
play_sound(wave,{255,0,0,wave[3]+5000})

while still_playing(0) do --Wait for wave to stop.
end while

--Play the wave again at an even higher replay rate
play_sound(wave,{255,0,0,wave[3]+10000})

while still_playing(0) do --Wait for wave to stop.
end while


--Free the memory taken up by the sound effect.
free_waves(wave)

--Shut down the Ecstacy Sound System.
close_sound()

clear_screen()
